Package com.salesforce.datacloud.jdbc.exception

## Class QueryExceptionHandler

- java.lang.Object
- - com.salesforce.datacloud.jdbc.exception.QueryExceptionHandler

    public final class QueryExceptionHandler
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static SQLException` `createException​(String message)`
`static DataCloudJDBCException` `createException​(String message, Exception e)`
`static SQLException` `createException​(String message, String sqlState)`
`static SQLException` `createException​(String message, String sqlState, Exception e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createException

    public static DataCloudJDBCException createException​(String message,
                                                         Exception e)

#### createException

    public static SQLException createException​(String message,
                                               String sqlState,
                                               Exception e)

#### createException

    public static SQLException createException​(String message,
                                               String sqlState)

#### createException

    public static SQLException createException​(String message)